From 4125dce5b174401d38cc0fcf9d2e1aad07997f5e Mon Sep 17 00:00:00 2001
From: fernandez85 <fernandez2005@gmail.com>
Date: Sun, 11 Oct 2020 12:39:06 +0200
Subject: [PATCH] Fix Python 3.9 compatibility issue with 'array' module

---
 intelhex/compat.py | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

--- a/intelhex/compat.py
+++ b/intelhex/compat.py
@@ -57,7 +57,8 @@ if sys.version_info[0] >= 3:
             return s
         return s.decode('latin1')
 
-    array_tobytes = getattr(array.array, "tobytes", array.array.tostring)
+    # for python >= 3.2 use 'tobytes', otherwise 'tostring'
+    array_tobytes = array.array.tobytes if sys.version_info[1] >= 2 else array.array.tostring
 
     IntTypes = (int,)
     StrType = str
